%ext ck1
%version 1.31

###############################################################
# PATCHFILE FOR COMMANDER COOL EPISODE 1: "WHERE'S MY BEARS?" #
###############################################################

#################
# Tiles & Files #
#################

%patchfile $130F8 cool1.tli #New Tileinfo
%patchfile $12087 ENDSCR.BIN #New Ending Screen
%patch $158FE "HELPTXT2" #Help text

#Chain doesn't kill Vorticons when shot
%patch $234C $5F $5E $5D $C3

#Change the animating switch
%patch $36DB $018DW #This tile when flipped becomes...
%patch $36E0 $018EW #This tile and...
%patch $36FC $018EW #This tile when flipped becomes...
%patch $3716 $018DW #This tile.

#Teleporter location 1 (left side of planet: 18,10)
%patch $158DF $0120W
%patch $158E3 $00A0W

#Teleporter location 2 (right side of planet: 42,9)
%patch $158E9 $02A0W
%patch $158ED $0090W

#Teleporter location 3 (secret level: 63,31)
%patch $158F3 $03F0W
%patch $158F7 $01F0W

#On level 13, the teleporter teleports to the secret level and marks
#level 13 as done, otherwise it acts as a normal exit.
#(Uses space freed by preview image disabling patch)
%patch $4572 $E9 $5172W $90 $90 $90
%patch $96E7 $90 $83 $3E $8304W $0D $74 $09
             $C7 $06 $6C60W $0001W $E9 $AE7FW
             $C7 $06 $6C60W $0002W $C7 $06 $AABEW $0001W $E9 $AE70W

################
# Menu Screens #
################

#High Scores
%patch $1593F "TheBigV"
%patch $1594E "proYorp"
%patch $1595D "PandaKeen"

#About ID (About Me)
%patch $15F80 "Hi!  I go by TheBigV in the Keen  "
%patch $15FA8 "Community, and I've been a Keen  "
%patch $15FD0 "fan since I was about 4 years "
%patch $15FF8 "old.                "
%patch $16020 "I was first introduced to Keen  "
%patch $16048 "mods when I played Ceilick's Dead  "
%patch $16070 "in the Desert mod, in sometime" $0A $00
%patch $16098 "around 2010.           "
%patch $160C0 "Then, I first got access to  "
%patch $160E8 "modding tools in 2014. Then I    "
%patch $16110 "joined PCKF in 2019.     "

#Menu
%patch $15EE9 "New Game"
%patch $15EF6 "Continue Game"
%patch $15F08 "Story"
%patch $15F12 "About Me   "
%patch $15F22 "High Scores"
%patch $15F32 "Series Info  "
%patch $15F44 "Mod Info "
%patch $15F52 "Restart Demo"
%patch $15F61 "Use the " $00 "arrows"

#Ordering Info (Series Info)
%patch $1632C " Commander Cool: Teddy  "
%patch $16346 "Bear Trouble consists of "
%patch $16364 " three unique and  "
%patch $1637B "challenging episodes:"
%patch $16392 "1. Where's My Bears?     "
%patch $163AD "2. Teddy Bears in Space  "
%patch $163C8 "3. ???                   "
%patch $163E4 "  Be sure to to stay tuned for the   "
%patch $1640D " release of the later installments!"
%patch $16434 "    (Which will be full mods!)     "
%patch $1645B "                                 "
%patch $16480 "                           "
%patch $1649E "                                      " $0A $00
%patch $164C6 "Commander Cool                        " $0A $00
%patch $164EE "was created by          Special thanks" $0A $00
%patch $16516 "   TheBigV                to proYorp    " $0A $0A $0A $00
%patch $16542 "    Come visit the Keen Community at    "
%patch $16573 "   pckf.com and keenmodding.org!  "

#Stop both the previews images showing:
%patch $95BA $90 $90 $90
%patch $95C1 $08
%patch $96E5 $EB $34

##################
# Sprite Patches #
##################

#Vorticon Commander strength - 1
%patch $1819 $00 $00

#Vorticon Guard strength - 1
%patch $180D $00 $00

#Don't make the border flash when Vorticon dies
%patch $1DAF $EB $12 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90

#########
# Hints #
#########

#Pointers to messages:
%patch $26E2 $252AW #Level 2
             $26ABW 
             $26ABW
             $26ABW 
             $2566W #Level 6 
             $26ABW 
             $26ABW 
             $25A2W #Level 9
             $25DEW #Level 10
             $263AW #Level 11
             $263AW #Level 12
             $26ABW
             $26ABW
             $2675W #Level 15

#Hint level 2
%patch $15080 "You hear in your    "
%patch $15096 "mind:               "
%patch $150AC "                    "
%patch $150C2 "The telescope sees  "
%patch $150D8 "everything.         "
%patch $150EE "                    "
%patch $15104 "EVERYTHING.         "

#Hint level 6
%patch $1511A "A message echos in  "
%patch $15130 "your head:          "
%patch $15146 "                    "
%patch $1515C "The colorful city   "
%patch $15172 "holds some secrets. "
%patch $15188 "                    "
%patch $1519E "                    "

#Hint level 9
%patch $151B4 "You see these words "
%patch $151CA "in your head:       "
%patch $151E0 "                    "
%patch $151F6 "Not every statue    "
%patch $1520C "gives useful advice."
%patch $15222 "Well, this one does."
%patch $15238 "                    "

#Hint level 10
%patch $1524E "A voice buzzes in   "
%patch $15264 "your mind:          "
%patch $1527A "                    "
%patch $15290 "You don't need to   "
%patch $152A6 "exit the colorful   "
%patch $152BC "city.               "
%patch $152D2 "                    "

#Hint level 11
%patch $15340 "A shady garg statue "
%patch $15356 "says:               "
%patch $1536C "Hey, kid. If you    "
%patch $15382 "give me ALL your     "
%patch $15399 "bears, I'll give you"
%patch $153AF "FREE totally-not-a- "
%patch $153C5 "scam software.      "

#Hint level 15
%patch $153DB "A Yorpy mind-thought"
%patch $153F1 "bellows:            "
%patch $15407 "                    "
%patch $1541D "Things are not      "
%patch $15433 "always what they    "
%patch $15449 "seem.               "

################
# Map & Status #
################

#Status Screen
%patch $14E5F " SECURED SCORE"
%patch $14E77 "     "
%patch $14E83 "   BEARS  "
#Status window displays secured score
%patch $0FB0 $0000W

#Ship Message
%patch $1659B "You can't go without"
%patch $165B0 "your bears! "

#Skip keens left
%patch $7E99 $90 $90 $90 #Don't display box
%patch $7EBC $90 $90 $90 #Don't pause

##########
# Finale #
##########

#Finale
%patch $15C24 "Commander Cool returns to the Beam-"
%patch $15C49 "&-Beacon Megarocket and helps his"
%patch $15C6C "bears get in. He must get home in  "
%patch $15C91 "time for dinner.               "

%patch $15CBD "Cool makes it home and"
%patch $15CD5 "puts his bears    "
%patch $15CE9 "back in his bed. "

%patch $15CFB "Kris goes down-    "
%patch $15D10 "stairs to eat his  "
%patch $15D25 "dinner.   "

%patch $15D30 "\"Dinnertime, Kris!\"  "
%patch $15D47 "\"Mom, you know my    "
%patch $15D5E "lost teddy bears?\" "
%patch $15D73 "\"Yes.\"     "

%patch $15D80 "\"I finally found"
%patch $15D92 "them!\"   "

%patch $15D9C "\"That's great! Now you"
%patch $15DB4 "need to eat your    "
%patch $15DCA "vegetables.\"           "

%patch $15DE2 "\"I love veggies!\"  "

%patch $15DF6 "\"Mmmm... Yummy!\""

%patch $15E07 "After dinner, Cool   "
%patch $15E1E "goes back out and takes"
%patch $15E37 "off in his ship. A "
%patch $15E4C "strange ship is in   "
%patch $15E63 "the sky!      "

%patch $15E72 "TO BE CONTINUED... "

#Only the 1st & 2nd lightswitch sound is played
%patch $862B $EB $07
%patch $8758 $EB $07
%patch $8791 $EB $07

#Windows don't turn on after first time
%patch $861B $0D
%patch $876B $0D

###################
# Scoring & Lives #
###################

#Reset score on death A
%patch $427D $66 $81 $06 $E2 $6E $0800W $0000W  $66 $A1 $AF00W  $66 $A3 $AACAW  $90 $90

#Reset score on death B
%patch $42BB $66 $81 $06 $E2 $6E $0800W $0000W  $66 $A1 $AF00W  $66 $A3 $AACAW  $90 $90

#Save score on level load
%patch $4BAE $66 $A1 $AACAW  $66 $A3 $AF00W  $66 $33 $C0 $66 $A3 $5135W  $66
             $A3 $563EW  $A3 $5B14W  $90

#Don't display lives in Keens Left window, instead reset score (Appears only on death)
%patch $8F4A $81 $3E $6EC2W  $1EEEW  $74 $10 $66 $A1 $6EC2W  $66 $A3 $AACAW
             $A1 $1EF2W  $A3 $AAC8W  $EB $08 $66 $A1 $AACAW  $66 $A3 $6EC2W
             $EB $10

#Call score-ammo store code on level load
%patch $4B91 $B8 $0001W  $50 $A3 $6EDCW  $A3 $5DB4W  $A3 $604CW  $C7 $06 $8216W
                 $0000W  $C7 $46 $FE $0001W  $E8 $C1CAW  $90 $90

#Store score, ammo on level load (Disables EKA)
%patch $0D74 $5D $C3 $55 $8B $EC $83 $EC $04 $56 $66 $A1 $AACAW  $66 $A3 $6EC2W
                 $A1 $AAC8W  $A3 $1EF2W  $5E $8B $E5 $5D $C3

#Infinite lives
%patch $8041 $90 $90 $90 $90

########
# Misc #
########

#Default palettes:
%patch $15558  $00 $00 $00 $00 $00 $00 $00 $00  $00 $00 $00 $00 $00 $00 $00 $00 $03 #Black screen
%patch $15569  $00 $00 $00 $00 $00 $00 $00 $18  $00 $01 $02 $03 $04 $05 $06 $07 $03 #Fade 2 (Used by lights off too)
%patch $1557A  $00 $00 $00 $00 $00 $00 $00 $07  $18 $19 $1A $1B $1C $1D $1E $1F $03 #Fade 1
%patch $1558B  $00 $01 $02 $03 $04 $05 $06 $07  $18 $19 $1A $1B $1C $1D $1E $1F $03 #"Normal" colors

#Loading Screen
%patch $14F1D "Loading Commander Cool part 1..." $00 $00 $00 $00 $00 $00 $00

%patch $2299 $EB $07 #Icecube smash sound disabled

#Items Cheat (See Hints Sheet: Secret Cheat Keys)
%patch $11F5 $40 $50
%patch $11FC $5B $50
%patch $1203 $5C $50

#Change Controls: Space = Fire, Enter = Status
%patch $1251  $48
%patch $7FA3  $48
%patch $3B23  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3C4E  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3DB9  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3DCC  $90 $90
%patch $3E6D  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3FFC  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $40AA  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00

%end